package com.engine.mzg.web;

import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.mzg.service.RecruitDemandService;
import com.engine.mzg.service.impl.RecruitDemandServiceImpl;
import com.engine.mzg.util.ResponseResult;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2024/08/29
 * @version: 1.0
 */
public class RecruitDemandController {
    public RecruitDemandService getService(User user) {
        return ServiceUtil.getService(RecruitDemandServiceImpl.class, user);
    }

    @GET
    @Path("/getStaffNum")
    @Produces(MediaType.APPLICATION_JSON)
    public String getStaffNum(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        User user = HrmUserVarify.getUser(request, response);
        Map<String, Object> params = ParamUtil.request2Map(request);
        return new ResponseResult<Map<String, Object>, Map<String, Object>>(user).run(getService(user)::getStaffNum, params);

    }
}
